var search_data = {"index":{"searchIndex":["aws","macie2","client","clientapi","errors","accessdeniedexception","conflictexception","internalserverexception","resourcenotfoundexception","servicequotaexceededexception","throttlingexception","validationexception","resource","types","acceptinvitationrequest","acceptinvitationresponse","accesscontrollist","accessdeniedexception","accountdetail","accountlevelpermissions","adminaccount","apicalldetails","assumedrole","awsaccount","awsservice","batchgetcustomdataidentifiersummary","batchgetcustomdataidentifiersrequest","batchgetcustomdataidentifiersresponse","blockpublicaccess","bucketcountbyeffectivepermission","bucketcountbyencryptiontype","bucketcountbysharedaccesstype","bucketcountpolicyallowsunencryptedobjectuploads","bucketcriteriaadditionalproperties","bucketlevelpermissions","bucketmetadata","bucketpermissionconfiguration","bucketpolicy","bucketpublicaccess","bucketserversideencryption","bucketsortcriteria","cell","classificationdetails","classificationexportconfiguration","classificationresult","classificationresultstatus","conflictexception","createclassificationjobrequest","createclassificationjobresponse","createcustomdataidentifierrequest","createcustomdataidentifierresponse","createfindingsfilterrequest","createfindingsfilterresponse","createinvitationsrequest","createinvitationsresponse","creatememberrequest","creatememberresponse","createsamplefindingsrequest","createsamplefindingsresponse","criteriablockforjob","criteriaforjob","criterionadditionalproperties","customdataidentifiersummary","customdataidentifiers","customdetection","dailyschedule","declineinvitationsrequest","declineinvitationsresponse","defaultdetection","deletecustomdataidentifierrequest","deletecustomdataidentifierresponse","deletefindingsfilterrequest","deletefindingsfilterresponse","deleteinvitationsrequest","deleteinvitationsresponse","deletememberrequest","deletememberresponse","describebucketsrequest","describebucketsresponse","describeclassificationjobrequest","describeclassificationjobresponse","describeorganizationconfigurationrequest","describeorganizationconfigurationresponse","disablemacierequest","disablemacieresponse","disableorganizationadminaccountrequest","disableorganizationadminaccountresponse","disassociatefromadministratoraccountrequest","disassociatefromadministratoraccountresponse","disassociatefrommasteraccountrequest","disassociatefrommasteraccountresponse","disassociatememberrequest","disassociatememberresponse","domaindetails","empty","enablemacierequest","enablemacieresponse","enableorganizationadminaccountrequest","enableorganizationadminaccountresponse","federateduser","finding","findingaction","findingactor","findingcriteria","findingstatisticssortcriteria","findingsfilterlistitem","getadministratoraccountrequest","getadministratoraccountresponse","getbucketstatisticsrequest","getbucketstatisticsresponse","getclassificationexportconfigurationrequest","getclassificationexportconfigurationresponse","getcustomdataidentifierrequest","getcustomdataidentifierresponse","getfindingstatisticsrequest","getfindingstatisticsresponse","getfindingsfilterrequest","getfindingsfilterresponse","getfindingspublicationconfigurationrequest","getfindingspublicationconfigurationresponse","getfindingsrequest","getfindingsresponse","getinvitationscountrequest","getinvitationscountresponse","getmaciesessionrequest","getmaciesessionresponse","getmasteraccountrequest","getmasteraccountresponse","getmemberrequest","getmemberresponse","getusagestatisticsrequest","getusagestatisticsresponse","getusagetotalsrequest","getusagetotalsresponse","groupcount","iamuser","internalserverexception","invitation","ipaddressdetails","ipcity","ipcountry","ipgeolocation","ipowner","jobdetails","jobschedulefrequency","jobscopeterm","jobscopingblock","jobsummary","keyvaluepair","lastrunerrorstatus","listclassificationjobsrequest","listclassificationjobsresponse","listcustomdataidentifiersrequest","listcustomdataidentifiersresponse","listfindingsfiltersrequest","listfindingsfiltersresponse","listfindingsrequest","listfindingsresponse","listinvitationsrequest","listinvitationsresponse","listjobsfiltercriteria","listjobsfilterterm","listjobssortcriteria","listmembersrequest","listmembersresponse","listorganizationadminaccountsrequest","listorganizationadminaccountsresponse","listtagsforresourcerequest","listtagsforresourceresponse","matchingbucket","matchingresource","member","monthlyschedule","objectcountbyencryptiontype","objectlevelstatistics","occurrences","page","policydetails","putclassificationexportconfigurationrequest","putclassificationexportconfigurationresponse","putfindingspublicationconfigurationrequest","putfindingspublicationconfigurationresponse","range","record","replicationdetails","resourcenotfoundexception","resourcesaffected","s3bucket","s3bucketcriteriaforjob","s3bucketdefinitionforjob","s3bucketowner","s3destination","s3jobdefinition","s3object","scoping","searchresourcesbucketcriteria","searchresourcescriteria","searchresourcescriteriablock","searchresourcesrequest","searchresourcesresponse","searchresourcessimplecriterion","searchresourcessortcriteria","searchresourcestagcriterion","searchresourcestagcriterionpair","securityhubconfiguration","sensitivedataitem","serversideencryption","servicelimit","servicequotaexceededexception","sessioncontext","sessioncontextattributes","sessionissuer","severity","simplecriterionforjob","simplescopeterm","sortcriteria","statistics","tagcriterionforjob","tagcriterionpairforjob","tagresourcerequest","tagresourceresponse","tagscopeterm","tagvaluepair","testcustomdataidentifierrequest","testcustomdataidentifierresponse","throttlingexception","unprocessedaccount","untagresourcerequest","untagresourceresponse","updateclassificationjobrequest","updateclassificationjobresponse","updatefindingsfilterrequest","updatefindingsfilterresponse","updatemaciesessionrequest","updatemaciesessionresponse","updatemembersessionrequest","updatemembersessionresponse","updateorganizationconfigurationrequest","updateorganizationconfigurationresponse","usagebyaccount","usagerecord","usagestatisticsfilter","usagestatisticssortby","usagetotal","useridentity","useridentityroot","userpauseddetails","validationexception","weeklyschedule","accept_invitation()","batch_get_custom_data_identifiers()","build_request()","client()","create_classification_job()","create_custom_data_identifier()","create_findings_filter()","create_invitations()","create_member()","create_sample_findings()","decline_invitations()","delete_custom_data_identifier()","delete_findings_filter()","delete_invitations()","delete_member()","describe_buckets()","describe_classification_job()","describe_organization_configuration()","disable_macie()","disable_organization_admin_account()","disassociate_from_administrator_account()","disassociate_from_master_account()","disassociate_member()","enable_macie()","enable_organization_admin_account()","errors_module()","get_administrator_account()","get_bucket_statistics()","get_classification_export_configuration()","get_custom_data_identifier()","get_finding_statistics()","get_findings()","get_findings_filter()","get_findings_publication_configuration()","get_invitations_count()","get_macie_session()","get_master_account()","get_member()","get_usage_statistics()","get_usage_totals()","list_classification_jobs()","list_custom_data_identifiers()","list_findings()","list_findings_filters()","list_invitations()","list_members()","list_organization_admin_accounts()","list_tags_for_resource()","message()","message()","message()","message()","message()","message()","message()","new()","new()","new()","new()","new()","new()","new()","new()","new()","put_classification_export_configuration()","put_findings_publication_configuration()","search_resources()","tag_resource()","test_custom_data_identifier()","untag_resource()","update_classification_job()","update_findings_filter()","update_macie_session()","update_member_session()","update_organization_configuration()","waiter_names()"],"longSearchIndex":["aws","aws::macie2","aws::macie2::client","aws::macie2::clientapi","aws::macie2::errors","aws::macie2::errors::accessdeniedexception","aws::macie2::errors::conflictexception","aws::macie2::errors::internalserverexception","aws::macie2::errors::resourcenotfoundexception","aws::macie2::errors::servicequotaexceededexception","aws::macie2::errors::throttlingexception","aws::macie2::errors::validationexception","aws::macie2::resource","aws::macie2::types","aws::macie2::types::acceptinvitationrequest","aws::macie2::types::acceptinvitationresponse","aws::macie2::types::accesscontrollist","aws::macie2::types::accessdeniedexception","aws::macie2::types::accountdetail","aws::macie2::types::accountlevelpermissions","aws::macie2::types::adminaccount","aws::macie2::types::apicalldetails","aws::macie2::types::assumedrole","aws::macie2::types::awsaccount","aws::macie2::types::awsservice","aws::macie2::types::batchgetcustomdataidentifiersummary","aws::macie2::types::batchgetcustomdataidentifiersrequest","aws::macie2::types::batchgetcustomdataidentifiersresponse","aws::macie2::types::blockpublicaccess","aws::macie2::types::bucketcountbyeffectivepermission","aws::macie2::types::bucketcountbyencryptiontype","aws::macie2::types::bucketcountbysharedaccesstype","aws::macie2::types::bucketcountpolicyallowsunencryptedobjectuploads","aws::macie2::types::bucketcriteriaadditionalproperties","aws::macie2::types::bucketlevelpermissions","aws::macie2::types::bucketmetadata","aws::macie2::types::bucketpermissionconfiguration","aws::macie2::types::bucketpolicy","aws::macie2::types::bucketpublicaccess","aws::macie2::types::bucketserversideencryption","aws::macie2::types::bucketsortcriteria","aws::macie2::types::cell","aws::macie2::types::classificationdetails","aws::macie2::types::classificationexportconfiguration","aws::macie2::types::classificationresult","aws::macie2::types::classificationresultstatus","aws::macie2::types::conflictexception","aws::macie2::types::createclassificationjobrequest","aws::macie2::types::createclassificationjobresponse","aws::macie2::types::createcustomdataidentifierrequest","aws::macie2::types::createcustomdataidentifierresponse","aws::macie2::types::createfindingsfilterrequest","aws::macie2::types::createfindingsfilterresponse","aws::macie2::types::createinvitationsrequest","aws::macie2::types::createinvitationsresponse","aws::macie2::types::creatememberrequest","aws::macie2::types::creatememberresponse","aws::macie2::types::createsamplefindingsrequest","aws::macie2::types::createsamplefindingsresponse","aws::macie2::types::criteriablockforjob","aws::macie2::types::criteriaforjob","aws::macie2::types::criterionadditionalproperties","aws::macie2::types::customdataidentifiersummary","aws::macie2::types::customdataidentifiers","aws::macie2::types::customdetection","aws::macie2::types::dailyschedule","aws::macie2::types::declineinvitationsrequest","aws::macie2::types::declineinvitationsresponse","aws::macie2::types::defaultdetection","aws::macie2::types::deletecustomdataidentifierrequest","aws::macie2::types::deletecustomdataidentifierresponse","aws::macie2::types::deletefindingsfilterrequest","aws::macie2::types::deletefindingsfilterresponse","aws::macie2::types::deleteinvitationsrequest","aws::macie2::types::deleteinvitationsresponse","aws::macie2::types::deletememberrequest","aws::macie2::types::deletememberresponse","aws::macie2::types::describebucketsrequest","aws::macie2::types::describebucketsresponse","aws::macie2::types::describeclassificationjobrequest","aws::macie2::types::describeclassificationjobresponse","aws::macie2::types::describeorganizationconfigurationrequest","aws::macie2::types::describeorganizationconfigurationresponse","aws::macie2::types::disablemacierequest","aws::macie2::types::disablemacieresponse","aws::macie2::types::disableorganizationadminaccountrequest","aws::macie2::types::disableorganizationadminaccountresponse","aws::macie2::types::disassociatefromadministratoraccountrequest","aws::macie2::types::disassociatefromadministratoraccountresponse","aws::macie2::types::disassociatefrommasteraccountrequest","aws::macie2::types::disassociatefrommasteraccountresponse","aws::macie2::types::disassociatememberrequest","aws::macie2::types::disassociatememberresponse","aws::macie2::types::domaindetails","aws::macie2::types::empty","aws::macie2::types::enablemacierequest","aws::macie2::types::enablemacieresponse","aws::macie2::types::enableorganizationadminaccountrequest","aws::macie2::types::enableorganizationadminaccountresponse","aws::macie2::types::federateduser","aws::macie2::types::finding","aws::macie2::types::findingaction","aws::macie2::types::findingactor","aws::macie2::types::findingcriteria","aws::macie2::types::findingstatisticssortcriteria","aws::macie2::types::findingsfilterlistitem","aws::macie2::types::getadministratoraccountrequest","aws::macie2::types::getadministratoraccountresponse","aws::macie2::types::getbucketstatisticsrequest","aws::macie2::types::getbucketstatisticsresponse","aws::macie2::types::getclassificationexportconfigurationrequest","aws::macie2::types::getclassificationexportconfigurationresponse","aws::macie2::types::getcustomdataidentifierrequest","aws::macie2::types::getcustomdataidentifierresponse","aws::macie2::types::getfindingstatisticsrequest","aws::macie2::types::getfindingstatisticsresponse","aws::macie2::types::getfindingsfilterrequest","aws::macie2::types::getfindingsfilterresponse","aws::macie2::types::getfindingspublicationconfigurationrequest","aws::macie2::types::getfindingspublicationconfigurationresponse","aws::macie2::types::getfindingsrequest","aws::macie2::types::getfindingsresponse","aws::macie2::types::getinvitationscountrequest","aws::macie2::types::getinvitationscountresponse","aws::macie2::types::getmaciesessionrequest","aws::macie2::types::getmaciesessionresponse","aws::macie2::types::getmasteraccountrequest","aws::macie2::types::getmasteraccountresponse","aws::macie2::types::getmemberrequest","aws::macie2::types::getmemberresponse","aws::macie2::types::getusagestatisticsrequest","aws::macie2::types::getusagestatisticsresponse","aws::macie2::types::getusagetotalsrequest","aws::macie2::types::getusagetotalsresponse","aws::macie2::types::groupcount","aws::macie2::types::iamuser","aws::macie2::types::internalserverexception","aws::macie2::types::invitation","aws::macie2::types::ipaddressdetails","aws::macie2::types::ipcity","aws::macie2::types::ipcountry","aws::macie2::types::ipgeolocation","aws::macie2::types::ipowner","aws::macie2::types::jobdetails","aws::macie2::types::jobschedulefrequency","aws::macie2::types::jobscopeterm","aws::macie2::types::jobscopingblock","aws::macie2::types::jobsummary","aws::macie2::types::keyvaluepair","aws::macie2::types::lastrunerrorstatus","aws::macie2::types::listclassificationjobsrequest","aws::macie2::types::listclassificationjobsresponse","aws::macie2::types::listcustomdataidentifiersrequest","aws::macie2::types::listcustomdataidentifiersresponse","aws::macie2::types::listfindingsfiltersrequest","aws::macie2::types::listfindingsfiltersresponse","aws::macie2::types::listfindingsrequest","aws::macie2::types::listfindingsresponse","aws::macie2::types::listinvitationsrequest","aws::macie2::types::listinvitationsresponse","aws::macie2::types::listjobsfiltercriteria","aws::macie2::types::listjobsfilterterm","aws::macie2::types::listjobssortcriteria","aws::macie2::types::listmembersrequest","aws::macie2::types::listmembersresponse","aws::macie2::types::listorganizationadminaccountsrequest","aws::macie2::types::listorganizationadminaccountsresponse","aws::macie2::types::listtagsforresourcerequest","aws::macie2::types::listtagsforresourceresponse","aws::macie2::types::matchingbucket","aws::macie2::types::matchingresource","aws::macie2::types::member","aws::macie2::types::monthlyschedule","aws::macie2::types::objectcountbyencryptiontype","aws::macie2::types::objectlevelstatistics","aws::macie2::types::occurrences","aws::macie2::types::page","aws::macie2::types::policydetails","aws::macie2::types::putclassificationexportconfigurationrequest","aws::macie2::types::putclassificationexportconfigurationresponse","aws::macie2::types::putfindingspublicationconfigurationrequest","aws::macie2::types::putfindingspublicationconfigurationresponse","aws::macie2::types::range","aws::macie2::types::record","aws::macie2::types::replicationdetails","aws::macie2::types::resourcenotfoundexception","aws::macie2::types::resourcesaffected","aws::macie2::types::s3bucket","aws::macie2::types::s3bucketcriteriaforjob","aws::macie2::types::s3bucketdefinitionforjob","aws::macie2::types::s3bucketowner","aws::macie2::types::s3destination","aws::macie2::types::s3jobdefinition","aws::macie2::types::s3object","aws::macie2::types::scoping","aws::macie2::types::searchresourcesbucketcriteria","aws::macie2::types::searchresourcescriteria","aws::macie2::types::searchresourcescriteriablock","aws::macie2::types::searchresourcesrequest","aws::macie2::types::searchresourcesresponse","aws::macie2::types::searchresourcessimplecriterion","aws::macie2::types::searchresourcessortcriteria","aws::macie2::types::searchresourcestagcriterion","aws::macie2::types::searchresourcestagcriterionpair","aws::macie2::types::securityhubconfiguration","aws::macie2::types::sensitivedataitem","aws::macie2::types::serversideencryption","aws::macie2::types::servicelimit","aws::macie2::types::servicequotaexceededexception","aws::macie2::types::sessioncontext","aws::macie2::types::sessioncontextattributes","aws::macie2::types::sessionissuer","aws::macie2::types::severity","aws::macie2::types::simplecriterionforjob","aws::macie2::types::simplescopeterm","aws::macie2::types::sortcriteria","aws::macie2::types::statistics","aws::macie2::types::tagcriterionforjob","aws::macie2::types::tagcriterionpairforjob","aws::macie2::types::tagresourcerequest","aws::macie2::types::tagresourceresponse","aws::macie2::types::tagscopeterm","aws::macie2::types::tagvaluepair","aws::macie2::types::testcustomdataidentifierrequest","aws::macie2::types::testcustomdataidentifierresponse","aws::macie2::types::throttlingexception","aws::macie2::types::unprocessedaccount","aws::macie2::types::untagresourcerequest","aws::macie2::types::untagresourceresponse","aws::macie2::types::updateclassificationjobrequest","aws::macie2::types::updateclassificationjobresponse","aws::macie2::types::updatefindingsfilterrequest","aws::macie2::types::updatefindingsfilterresponse","aws::macie2::types::updatemaciesessionrequest","aws::macie2::types::updatemaciesessionresponse","aws::macie2::types::updatemembersessionrequest","aws::macie2::types::updatemembersessionresponse","aws::macie2::types::updateorganizationconfigurationrequest","aws::macie2::types::updateorganizationconfigurationresponse","aws::macie2::types::usagebyaccount","aws::macie2::types::usagerecord","aws::macie2::types::usagestatisticsfilter","aws::macie2::types::usagestatisticssortby","aws::macie2::types::usagetotal","aws::macie2::types::useridentity","aws::macie2::types::useridentityroot","aws::macie2::types::userpauseddetails","aws::macie2::types::validationexception","aws::macie2::types::weeklyschedule","aws::macie2::client#accept_invitation()","aws::macie2::client#batch_get_custom_data_identifiers()","aws::macie2::client#build_request()","aws::macie2::resource#client()","aws::macie2::client#create_classification_job()","aws::macie2::client#create_custom_data_identifier()","aws::macie2::client#create_findings_filter()","aws::macie2::client#create_invitations()","aws::macie2::client#create_member()","aws::macie2::client#create_sample_findings()","aws::macie2::client#decline_invitations()","aws::macie2::client#delete_custom_data_identifier()","aws::macie2::client#delete_findings_filter()","aws::macie2::client#delete_invitations()","aws::macie2::client#delete_member()","aws::macie2::client#describe_buckets()","aws::macie2::client#describe_classification_job()","aws::macie2::client#describe_organization_configuration()","aws::macie2::client#disable_macie()","aws::macie2::client#disable_organization_admin_account()","aws::macie2::client#disassociate_from_administrator_account()","aws::macie2::client#disassociate_from_master_account()","aws::macie2::client#disassociate_member()","aws::macie2::client#enable_macie()","aws::macie2::client#enable_organization_admin_account()","aws::macie2::client::errors_module()","aws::macie2::client#get_administrator_account()","aws::macie2::client#get_bucket_statistics()","aws::macie2::client#get_classification_export_configuration()","aws::macie2::client#get_custom_data_identifier()","aws::macie2::client#get_finding_statistics()","aws::macie2::client#get_findings()","aws::macie2::client#get_findings_filter()","aws::macie2::client#get_findings_publication_configuration()","aws::macie2::client#get_invitations_count()","aws::macie2::client#get_macie_session()","aws::macie2::client#get_master_account()","aws::macie2::client#get_member()","aws::macie2::client#get_usage_statistics()","aws::macie2::client#get_usage_totals()","aws::macie2::client#list_classification_jobs()","aws::macie2::client#list_custom_data_identifiers()","aws::macie2::client#list_findings()","aws::macie2::client#list_findings_filters()","aws::macie2::client#list_invitations()","aws::macie2::client#list_members()","aws::macie2::client#list_organization_admin_accounts()","aws::macie2::client#list_tags_for_resource()","aws::macie2::errors::accessdeniedexception#message()","aws::macie2::errors::conflictexception#message()","aws::macie2::errors::internalserverexception#message()","aws::macie2::errors::resourcenotfoundexception#message()","aws::macie2::errors::servicequotaexceededexception#message()","aws::macie2::errors::throttlingexception#message()","aws::macie2::errors::validationexception#message()","aws::macie2::client::new()","aws::macie2::errors::accessdeniedexception::new()","aws::macie2::errors::conflictexception::new()","aws::macie2::errors::internalserverexception::new()","aws::macie2::errors::resourcenotfoundexception::new()","aws::macie2::errors::servicequotaexceededexception::new()","aws::macie2::errors::throttlingexception::new()","aws::macie2::errors::validationexception::new()","aws::macie2::resource::new()","aws::macie2::client#put_classification_export_configuration()","aws::macie2::client#put_findings_publication_configuration()","aws::macie2::client#search_resources()","aws::macie2::client#tag_resource()","aws::macie2::client#test_custom_data_identifier()","aws::macie2::client#untag_resource()","aws::macie2::client#update_classification_job()","aws::macie2::client#update_findings_filter()","aws::macie2::client#update_macie_session()","aws::macie2::client#update_member_session()","aws::macie2::client#update_organization_configuration()","aws::macie2::client#waiter_names()"],"info":[["Aws","","Aws.html","",""],["Aws::Macie2","","Aws/Macie2.html","","<p>This module provides support for Amazon Macie 2. This module is available in the `aws-sdk-macie2` gem. …\n"],["Aws::Macie2::Client","","Aws/Macie2/Client.html","","<p>An API client for Macie2.  To construct a client, you need to configure a `:region` and `:credentials`. …\n"],["Aws::Macie2::ClientApi","","Aws/Macie2/ClientApi.html","","<p>@api private\n"],["Aws::Macie2::Errors","","Aws/Macie2/Errors.html","","<p>When Macie2 returns an error response, the Ruby SDK constructs and raises an error. These errors all …\n"],["Aws::Macie2::Errors::AccessDeniedException","","Aws/Macie2/Errors/AccessDeniedException.html","",""],["Aws::Macie2::Errors::ConflictException","","Aws/Macie2/Errors/ConflictException.html","",""],["Aws::Macie2::Errors::InternalServerException","","Aws/Macie2/Errors/InternalServerException.html","",""],["Aws::Macie2::Errors::ResourceNotFoundException","","Aws/Macie2/Errors/ResourceNotFoundException.html","",""],["Aws::Macie2::Errors::ServiceQuotaExceededException","","Aws/Macie2/Errors/ServiceQuotaExceededException.html","",""],["Aws::Macie2::Errors::ThrottlingException","","Aws/Macie2/Errors/ThrottlingException.html","",""],["Aws::Macie2::Errors::ValidationException","","Aws/Macie2/Errors/ValidationException.html","",""],["Aws::Macie2::Resource","","Aws/Macie2/Resource.html","",""],["Aws::Macie2::Types","","Aws/Macie2/Types.html","",""],["Aws::Macie2::Types::AcceptInvitationRequest","","Aws/Macie2/Types/AcceptInvitationRequest.html","","<p>Specifies an Amazon Macie membership invitation to accept. In the request, you have to specify the ID …\n"],["Aws::Macie2::Types::AcceptInvitationResponse","","Aws/Macie2/Types/AcceptInvitationResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/AcceptInvitationResponse AWS API Documentation …\n"],["Aws::Macie2::Types::AccessControlList","","Aws/Macie2/Types/AccessControlList.html","","<p>Provides information about the permissions settings of the bucket-level access control list (ACL) for …\n"],["Aws::Macie2::Types::AccessDeniedException","","Aws/Macie2/Types/AccessDeniedException.html","","<p>Provides information about an error that occurred due to insufficient access to a specified resource. …\n"],["Aws::Macie2::Types::AccountDetail","","Aws/Macie2/Types/AccountDetail.html","","<p>Specifies the details of an account to associate with an Amazon Macie administrator account.\n<p>@note When …\n"],["Aws::Macie2::Types::AccountLevelPermissions","","Aws/Macie2/Types/AccountLevelPermissions.html","","<p>Provides information about the account-level permissions settings that apply to an S3 bucket.\n<p>@!attribute …\n"],["Aws::Macie2::Types::AdminAccount","","Aws/Macie2/Types/AdminAccount.html","","<p>Provides information about the delegated Amazon Macie administrator account for an Amazon Web Services …\n"],["Aws::Macie2::Types::ApiCallDetails","","Aws/Macie2/Types/ApiCallDetails.html","","<p>Provides information about an API operation that an entity invoked for an affected resource.\n<p>@!attribute …\n"],["Aws::Macie2::Types::AssumedRole","","Aws/Macie2/Types/AssumedRole.html","","<p>Provides information about an identity that performed an action on an affected resource by using temporary …\n"],["Aws::Macie2::Types::AwsAccount","","Aws/Macie2/Types/AwsAccount.html","","<p>Provides information about an Amazon Web Services account and entity that performed an action on an affected …\n"],["Aws::Macie2::Types::AwsService","","Aws/Macie2/Types/AwsService.html","","<p>Provides information about an Amazon Web Service that performed an action on an affected resource.\n<p>@!attribute …\n"],["Aws::Macie2::Types::BatchGetCustomDataIdentifierSummary","","Aws/Macie2/Types/BatchGetCustomDataIdentifierSummary.html","","<p>Provides information about a custom data identifier.\n<p>@!attribute [rw] arn\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Macie2::Types::BatchGetCustomDataIdentifiersRequest","","Aws/Macie2/Types/BatchGetCustomDataIdentifiersRequest.html","","<p>Specifies one or more custom data identifiers to retrieve information about.\n<p>@note When making an API …\n"],["Aws::Macie2::Types::BatchGetCustomDataIdentifiersResponse","","Aws/Macie2/Types/BatchGetCustomDataIdentifiersResponse.html","","<p>Provides information about one or more custom data identifiers.\n<p>@!attribute [rw] custom_data_identifiers …\n"],["Aws::Macie2::Types::BlockPublicAccess","","Aws/Macie2/Types/BlockPublicAccess.html","","<p>Provides information about the block public access settings for an S3 bucket. These settings can apply …\n"],["Aws::Macie2::Types::BucketCountByEffectivePermission","","Aws/Macie2/Types/BucketCountByEffectivePermission.html","","<p>Provides information about the number of S3 buckets that are publicly accessible based on a combination …\n"],["Aws::Macie2::Types::BucketCountByEncryptionType","","Aws/Macie2/Types/BucketCountByEncryptionType.html","","<p>Provides information about the number of S3 buckets that use certain types of server-side encryption …\n"],["Aws::Macie2::Types::BucketCountBySharedAccessType","","Aws/Macie2/Types/BucketCountBySharedAccessType.html","","<p>Provides information about the number of S3 buckets that are or aren&#39;t shared with other Amazon  …\n"],["Aws::Macie2::Types::BucketCountPolicyAllowsUnencryptedObjectUploads","","Aws/Macie2/Types/BucketCountPolicyAllowsUnencryptedObjectUploads.html","","<p>Provides information about the number of S3 buckets whose bucket policies do or don&#39;t require server-side …\n"],["Aws::Macie2::Types::BucketCriteriaAdditionalProperties","","Aws/Macie2/Types/BucketCriteriaAdditionalProperties.html","","<p>Specifies the operator to use in a property-based condition that filters the results of a query for information …\n"],["Aws::Macie2::Types::BucketLevelPermissions","","Aws/Macie2/Types/BucketLevelPermissions.html","","<p>Provides information about the bucket-level permissions settings for an S3 bucket.\n<p>@!attribute [rw] access_control_list …\n"],["Aws::Macie2::Types::BucketMetadata","","Aws/Macie2/Types/BucketMetadata.html","","<p>Provides information about an S3 bucket that Amazon Macie monitors and analyzes.\n<p>@!attribute [rw] account_id …\n"],["Aws::Macie2::Types::BucketPermissionConfiguration","","Aws/Macie2/Types/BucketPermissionConfiguration.html","","<p>Provides information about the account-level and bucket-level permissions settings for an S3 bucket. …\n"],["Aws::Macie2::Types::BucketPolicy","","Aws/Macie2/Types/BucketPolicy.html","","<p>Provides information about the permissions settings of the bucket policy for an S3 bucket.\n<p>@!attribute …\n"],["Aws::Macie2::Types::BucketPublicAccess","","Aws/Macie2/Types/BucketPublicAccess.html","","<p>Provides information about the permissions settings that determine whether an S3 bucket is publicly accessible. …\n"],["Aws::Macie2::Types::BucketServerSideEncryption","","Aws/Macie2/Types/BucketServerSideEncryption.html","","<p>Provides information about the default server-side encryption settings for an S3 bucket. For detailed …\n"],["Aws::Macie2::Types::BucketSortCriteria","","Aws/Macie2/Types/BucketSortCriteria.html","","<p>Specifies criteria for sorting the results of a query for information about S3 buckets.\n<p>@note When making …\n"],["Aws::Macie2::Types::Cell","","Aws/Macie2/Types/Cell.html","","<p>Specifies the location of an occurrence of sensitive data in a Microsoft Excel workbook, CSV file, or …\n"],["Aws::Macie2::Types::ClassificationDetails","","Aws/Macie2/Types/ClassificationDetails.html","","<p>Provides information about a sensitive data finding, including the classification job that produced the …\n"],["Aws::Macie2::Types::ClassificationExportConfiguration","","Aws/Macie2/Types/ClassificationExportConfiguration.html","","<p>Specifies where to store data classification results, and the encryption settings to use when storing …\n"],["Aws::Macie2::Types::ClassificationResult","","Aws/Macie2/Types/ClassificationResult.html","","<p>Provides the details of a sensitive data finding, including the types, number of occurrences, and locations …\n"],["Aws::Macie2::Types::ClassificationResultStatus","","Aws/Macie2/Types/ClassificationResultStatus.html","","<p>Provides information about the status of a sensitive data finding.\n<p>@!attribute [rw] code\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Macie2::Types::ConflictException","","Aws/Macie2/Types/ConflictException.html","","<p>Provides information about an error that occurred due to a versioning conflict for a specified resource. …\n"],["Aws::Macie2::Types::CreateClassificationJobRequest","","Aws/Macie2/Types/CreateClassificationJobRequest.html","","<p>Specifies the scope, schedule, and other settings for a classification job. You can&#39;t change any …\n"],["Aws::Macie2::Types::CreateClassificationJobResponse","","Aws/Macie2/Types/CreateClassificationJobResponse.html","","<p>Provides information about a classification job that was created in response to a request.\n<p>@!attribute …\n"],["Aws::Macie2::Types::CreateCustomDataIdentifierRequest","","Aws/Macie2/Types/CreateCustomDataIdentifierRequest.html","","<p>Specifies the criteria and other settings for a new custom data identifier. You can&#39;t change a custom …\n"],["Aws::Macie2::Types::CreateCustomDataIdentifierResponse","","Aws/Macie2/Types/CreateCustomDataIdentifierResponse.html","","<p>Provides information about a custom data identifier that was created in response to a request.\n<p>@!attribute …\n"],["Aws::Macie2::Types::CreateFindingsFilterRequest","","Aws/Macie2/Types/CreateFindingsFilterRequest.html","","<p>Specifies the criteria and other settings for a new findings filter.\n<p>@note When making an API call, you …\n"],["Aws::Macie2::Types::CreateFindingsFilterResponse","","Aws/Macie2/Types/CreateFindingsFilterResponse.html","","<p>Provides information about a findings filter that was created in response to a request.\n<p>@!attribute [rw] …\n"],["Aws::Macie2::Types::CreateInvitationsRequest","","Aws/Macie2/Types/CreateInvitationsRequest.html","","<p>Specifies the settings for an Amazon Macie membership invitation.\n<p>@note When making an API call, you may …\n"],["Aws::Macie2::Types::CreateInvitationsResponse","","Aws/Macie2/Types/CreateInvitationsResponse.html","","<p>Provides information about an unprocessed request to send an Amazon Macie membership invitation to a …\n"],["Aws::Macie2::Types::CreateMemberRequest","","Aws/Macie2/Types/CreateMemberRequest.html","","<p>Specifies an Amazon Web Services account to associate with an Amazon Macie administrator account.\n<p>@note …\n"],["Aws::Macie2::Types::CreateMemberResponse","","Aws/Macie2/Types/CreateMemberResponse.html","","<p>Provides information about a request to associate an account with an Amazon Macie administrator account. …\n"],["Aws::Macie2::Types::CreateSampleFindingsRequest","","Aws/Macie2/Types/CreateSampleFindingsRequest.html","","<p>Specifies the types of findings to include in a set of sample findings that Amazon Macie creates.\n<p>@note …\n"],["Aws::Macie2::Types::CreateSampleFindingsResponse","","Aws/Macie2/Types/CreateSampleFindingsResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/CreateSampleFindingsResponse AWS API Documentation …\n"],["Aws::Macie2::Types::CriteriaBlockForJob","","Aws/Macie2/Types/CriteriaBlockForJob.html","","<p>Specifies one or more property- and tag-based conditions that define criteria for including or excluding …\n"],["Aws::Macie2::Types::CriteriaForJob","","Aws/Macie2/Types/CriteriaForJob.html","","<p>Specifies a property- or tag-based condition that defines criteria for including or excluding S3 buckets …\n"],["Aws::Macie2::Types::CriterionAdditionalProperties","","Aws/Macie2/Types/CriterionAdditionalProperties.html","","<p>Specifies the operator to use in a property-based condition that filters the results of a query for findings. …\n"],["Aws::Macie2::Types::CustomDataIdentifierSummary","","Aws/Macie2/Types/CustomDataIdentifierSummary.html","","<p>Provides information about a custom data identifier.\n<p>@!attribute [rw] arn\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Macie2::Types::CustomDataIdentifiers","","Aws/Macie2/Types/CustomDataIdentifiers.html","","<p>Provides information about custom data identifiers that produced a sensitive data finding, and the number …\n"],["Aws::Macie2::Types::CustomDetection","","Aws/Macie2/Types/CustomDetection.html","","<p>Provides information about a custom data identifier that produced a sensitive data finding, and the sensitive …\n"],["Aws::Macie2::Types::DailySchedule","","Aws/Macie2/Types/DailySchedule.html","","<p>Specifies that a classification job runs once a day, every day. This is an empty object.\n<p>@api private …\n"],["Aws::Macie2::Types::DeclineInvitationsRequest","","Aws/Macie2/Types/DeclineInvitationsRequest.html","","<p>Specifies one or more accounts that sent Amazon Macie membership invitations to decline.\n<p>@note When making …\n"],["Aws::Macie2::Types::DeclineInvitationsResponse","","Aws/Macie2/Types/DeclineInvitationsResponse.html","","<p>Provides information about unprocessed requests to decline Amazon Macie membership invitations that were …\n"],["Aws::Macie2::Types::DefaultDetection","","Aws/Macie2/Types/DefaultDetection.html","","<p>Provides information about a type of sensitive data that was detected by managed data identifiers and …\n"],["Aws::Macie2::Types::DeleteCustomDataIdentifierRequest","","Aws/Macie2/Types/DeleteCustomDataIdentifierRequest.html","","<p>@note When making an API call, you may pass DeleteCustomDataIdentifierRequest\n\n<pre>data as a hash:\n\n    {\n ...</pre>\n"],["Aws::Macie2::Types::DeleteCustomDataIdentifierResponse","","Aws/Macie2/Types/DeleteCustomDataIdentifierResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DeleteCustomDataIdentifierResponse AWS API Documentation …\n"],["Aws::Macie2::Types::DeleteFindingsFilterRequest","","Aws/Macie2/Types/DeleteFindingsFilterRequest.html","","<p>@note When making an API call, you may pass DeleteFindingsFilterRequest\n\n<pre>data as a hash:\n\n    {\n      id: ...</pre>\n"],["Aws::Macie2::Types::DeleteFindingsFilterResponse","","Aws/Macie2/Types/DeleteFindingsFilterResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DeleteFindingsFilterResponse AWS API Documentation …\n"],["Aws::Macie2::Types::DeleteInvitationsRequest","","Aws/Macie2/Types/DeleteInvitationsRequest.html","","<p>Specifies one or more accounts that sent Amazon Macie membership invitations to delete.\n<p>@note When making …\n"],["Aws::Macie2::Types::DeleteInvitationsResponse","","Aws/Macie2/Types/DeleteInvitationsResponse.html","","<p>Provides information about unprocessed requests to delete Amazon Macie membership invitations that were …\n"],["Aws::Macie2::Types::DeleteMemberRequest","","Aws/Macie2/Types/DeleteMemberRequest.html","","<p>@note When making an API call, you may pass DeleteMemberRequest\n\n<pre>data as a hash:\n\n    {\n      id: &quot;__string&quot;, ...</pre>\n"],["Aws::Macie2::Types::DeleteMemberResponse","","Aws/Macie2/Types/DeleteMemberResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DeleteMemberResponse AWS API Documentation\n"],["Aws::Macie2::Types::DescribeBucketsRequest","","Aws/Macie2/Types/DescribeBucketsRequest.html","","<p>Specifies criteria for filtering, sorting, and paginating the results of a query for statistical data …\n"],["Aws::Macie2::Types::DescribeBucketsResponse","","Aws/Macie2/Types/DescribeBucketsResponse.html","","<p>Provides the results of a query that retrieved statistical data and other information about one or more …\n"],["Aws::Macie2::Types::DescribeClassificationJobRequest","","Aws/Macie2/Types/DescribeClassificationJobRequest.html","","<p>@note When making an API call, you may pass DescribeClassificationJobRequest\n\n<pre>data as a hash:\n\n    {\n  ...</pre>\n"],["Aws::Macie2::Types::DescribeClassificationJobResponse","","Aws/Macie2/Types/DescribeClassificationJobResponse.html","","<p>Provides information about a classification job, including the current configuration settings and status …\n"],["Aws::Macie2::Types::DescribeOrganizationConfigurationRequest","","Aws/Macie2/Types/DescribeOrganizationConfigurationRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DescribeOrganizationConfigurationRequest …\n"],["Aws::Macie2::Types::DescribeOrganizationConfigurationResponse","","Aws/Macie2/Types/DescribeOrganizationConfigurationResponse.html","","<p>Provides information about the Amazon Macie configuration settings for an Amazon Web Services organization. …\n"],["Aws::Macie2::Types::DisableMacieRequest","","Aws/Macie2/Types/DisableMacieRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DisableMacieRequest AWS API Documentation …\n"],["Aws::Macie2::Types::DisableMacieResponse","","Aws/Macie2/Types/DisableMacieResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DisableMacieResponse AWS API Documentation\n"],["Aws::Macie2::Types::DisableOrganizationAdminAccountRequest","","Aws/Macie2/Types/DisableOrganizationAdminAccountRequest.html","","<p>@note When making an API call, you may pass DisableOrganizationAdminAccountRequest\n\n<pre>data as a hash:\n\n  ...</pre>\n"],["Aws::Macie2::Types::DisableOrganizationAdminAccountResponse","","Aws/Macie2/Types/DisableOrganizationAdminAccountResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DisableOrganizationAdminAccountResponse AWS API …\n"],["Aws::Macie2::Types::DisassociateFromAdministratorAccountRequest","","Aws/Macie2/Types/DisassociateFromAdministratorAccountRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DisassociateFromAdministratorAccountRequest …\n"],["Aws::Macie2::Types::DisassociateFromAdministratorAccountResponse","","Aws/Macie2/Types/DisassociateFromAdministratorAccountResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DisassociateFromAdministratorAccountResponse  …\n"],["Aws::Macie2::Types::DisassociateFromMasterAccountRequest","","Aws/Macie2/Types/DisassociateFromMasterAccountRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DisassociateFromMasterAccountRequest …\n"],["Aws::Macie2::Types::DisassociateFromMasterAccountResponse","","Aws/Macie2/Types/DisassociateFromMasterAccountResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DisassociateFromMasterAccountResponse AWS API …\n"],["Aws::Macie2::Types::DisassociateMemberRequest","","Aws/Macie2/Types/DisassociateMemberRequest.html","","<p>@note When making an API call, you may pass DisassociateMemberRequest\n\n<pre>data as a hash:\n\n    {\n      id: ...</pre>\n"],["Aws::Macie2::Types::DisassociateMemberResponse","","Aws/Macie2/Types/DisassociateMemberResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/DisassociateMemberResponse AWS API Documentation …\n"],["Aws::Macie2::Types::DomainDetails","","Aws/Macie2/Types/DomainDetails.html","","<p>Provides information about the domain name of the device that an entity used to perform an action on …\n"],["Aws::Macie2::Types::Empty","","Aws/Macie2/Types/Empty.html","","<p>The request succeeded and there isn&#39;t any content to include in the body of the response (No Content …\n"],["Aws::Macie2::Types::EnableMacieRequest","","Aws/Macie2/Types/EnableMacieRequest.html","","<p>Enables Amazon Macie and specifies the configuration settings for a Macie account.\n<p>@note When making an …\n"],["Aws::Macie2::Types::EnableMacieResponse","","Aws/Macie2/Types/EnableMacieResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/EnableMacieResponse AWS API Documentation\n"],["Aws::Macie2::Types::EnableOrganizationAdminAccountRequest","","Aws/Macie2/Types/EnableOrganizationAdminAccountRequest.html","","<p>Specifies an account to designate as a delegated Amazon Macie administrator account for an Amazon Web …\n"],["Aws::Macie2::Types::EnableOrganizationAdminAccountResponse","","Aws/Macie2/Types/EnableOrganizationAdminAccountResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/EnableOrganizationAdminAccountResponse AWS API …\n"],["Aws::Macie2::Types::FederatedUser","","Aws/Macie2/Types/FederatedUser.html","","<p>Provides information about an identity that performed an action on an affected resource by using temporary …\n"],["Aws::Macie2::Types::Finding","","Aws/Macie2/Types/Finding.html","","<p>Provides the details of a finding.\n<p>@!attribute [rw] account_id\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Macie2::Types::FindingAction","","Aws/Macie2/Types/FindingAction.html","","<p>Provides information about an action that occurred for a resource and produced a policy finding.\n<p>@!attribute …\n"],["Aws::Macie2::Types::FindingActor","","Aws/Macie2/Types/FindingActor.html","","<p>Provides information about an entity that performed an action that produced a policy finding for a resource. …\n"],["Aws::Macie2::Types::FindingCriteria","","Aws/Macie2/Types/FindingCriteria.html","","<p>Specifies, as a map, one or more property-based conditions that filter the results of a query for findings. …\n"],["Aws::Macie2::Types::FindingStatisticsSortCriteria","","Aws/Macie2/Types/FindingStatisticsSortCriteria.html","","<p>Specifies criteria for sorting the results of a query that retrieves aggregated statistical data about …\n"],["Aws::Macie2::Types::FindingsFilterListItem","","Aws/Macie2/Types/FindingsFilterListItem.html","","<p>Provides information about a findings filter.\n<p>@!attribute [rw] action\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">action</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">perform</span> <span class=\"ruby-identifier\">on</span> <span class=\"ruby-identifier\">findings</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Macie2::Types::GetAdministratorAccountRequest","","Aws/Macie2/Types/GetAdministratorAccountRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/GetAdministratorAccountRequest AWS …\n"],["Aws::Macie2::Types::GetAdministratorAccountResponse","","Aws/Macie2/Types/GetAdministratorAccountResponse.html","","<p>Provides information about the Amazon Macie administrator account for an account. If the accounts are …\n"],["Aws::Macie2::Types::GetBucketStatisticsRequest","","Aws/Macie2/Types/GetBucketStatisticsRequest.html","","<p>Specifies the account that owns the S3 buckets to retrieve aggregated statistical data for.\n<p>@note When …\n"],["Aws::Macie2::Types::GetBucketStatisticsResponse","","Aws/Macie2/Types/GetBucketStatisticsResponse.html","","<p>Provides the results of a query that retrieved aggregated statistical data for all the S3 buckets that …\n"],["Aws::Macie2::Types::GetClassificationExportConfigurationRequest","","Aws/Macie2/Types/GetClassificationExportConfigurationRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/GetClassificationExportConfigurationRequest …\n"],["Aws::Macie2::Types::GetClassificationExportConfigurationResponse","","Aws/Macie2/Types/GetClassificationExportConfigurationResponse.html","","<p>Provides information about the current configuration settings for storing data classification results. …\n"],["Aws::Macie2::Types::GetCustomDataIdentifierRequest","","Aws/Macie2/Types/GetCustomDataIdentifierRequest.html","","<p>@note When making an API call, you may pass GetCustomDataIdentifierRequest\n\n<pre>data as a hash:\n\n    {\n    ...</pre>\n"],["Aws::Macie2::Types::GetCustomDataIdentifierResponse","","Aws/Macie2/Types/GetCustomDataIdentifierResponse.html","","<p>Provides information about the criteria and other settings for a custom data identifier.\n<p>@!attribute [rw] …\n"],["Aws::Macie2::Types::GetFindingStatisticsRequest","","Aws/Macie2/Types/GetFindingStatisticsRequest.html","","<p>Specifies criteria for filtering, grouping, sorting, and paginating the results of a query that retrieves …\n"],["Aws::Macie2::Types::GetFindingStatisticsResponse","","Aws/Macie2/Types/GetFindingStatisticsResponse.html","","<p>Provides the results of a query that retrieved aggregated statistical data about findings.\n<p>@!attribute …\n"],["Aws::Macie2::Types::GetFindingsFilterRequest","","Aws/Macie2/Types/GetFindingsFilterRequest.html","","<p>@note When making an API call, you may pass GetFindingsFilterRequest\n\n<pre>data as a hash:\n\n    {\n      id: ...</pre>\n"],["Aws::Macie2::Types::GetFindingsFilterResponse","","Aws/Macie2/Types/GetFindingsFilterResponse.html","","<p>Provides information about the criteria and other settings for a findings filter.\n<p>@!attribute [rw] action …\n"],["Aws::Macie2::Types::GetFindingsPublicationConfigurationRequest","","Aws/Macie2/Types/GetFindingsPublicationConfigurationRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/GetFindingsPublicationConfigurationRequest …\n"],["Aws::Macie2::Types::GetFindingsPublicationConfigurationResponse","","Aws/Macie2/Types/GetFindingsPublicationConfigurationResponse.html","","<p>Provides information about the current configuration settings for publishing findings to Security Hub …\n"],["Aws::Macie2::Types::GetFindingsRequest","","Aws/Macie2/Types/GetFindingsRequest.html","","<p>Specifies one or more findings to retrieve.\n<p>@note When making an API call, you may pass GetFindingsRequest …\n"],["Aws::Macie2::Types::GetFindingsResponse","","Aws/Macie2/Types/GetFindingsResponse.html","","<p>Provides the results of a request for one or more findings.\n<p>@!attribute [rw] findings\n\n<pre>@return [Array&lt;Types::Finding&gt;]</pre>\n"],["Aws::Macie2::Types::GetInvitationsCountRequest","","Aws/Macie2/Types/GetInvitationsCountRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/GetInvitationsCountRequest AWS API …\n"],["Aws::Macie2::Types::GetInvitationsCountResponse","","Aws/Macie2/Types/GetInvitationsCountResponse.html","","<p>Provides the count of all the Amazon Macie membership invitations that were received by an account, not …\n"],["Aws::Macie2::Types::GetMacieSessionRequest","","Aws/Macie2/Types/GetMacieSessionRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/GetMacieSessionRequest AWS API Documentation …\n"],["Aws::Macie2::Types::GetMacieSessionResponse","","Aws/Macie2/Types/GetMacieSessionResponse.html","","<p>Provides information about the current status and configuration settings for an Amazon Macie account. …\n"],["Aws::Macie2::Types::GetMasterAccountRequest","","Aws/Macie2/Types/GetMasterAccountRequest.html","","<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/GetMasterAccountRequest AWS API Documentation …\n"],["Aws::Macie2::Types::GetMasterAccountResponse","","Aws/Macie2/Types/GetMasterAccountResponse.html","","<p>(Deprecated) Provides information about the Amazon Macie administrator account for an account. If the …\n"],["Aws::Macie2::Types::GetMemberRequest","","Aws/Macie2/Types/GetMemberRequest.html","","<p>@note When making an API call, you may pass GetMemberRequest\n\n<pre>data as a hash:\n\n    {\n      id: &quot;__string&quot;, ...</pre>\n"],["Aws::Macie2::Types::GetMemberResponse","","Aws/Macie2/Types/GetMemberResponse.html","","<p>Provides information about an account that&#39;s associated with an Amazon Macie administrator account. …\n"],["Aws::Macie2::Types::GetUsageStatisticsRequest","","Aws/Macie2/Types/GetUsageStatisticsRequest.html","","<p>Specifies criteria for filtering, sorting, and paginating the results of a query for quotas and aggregated …\n"],["Aws::Macie2::Types::GetUsageStatisticsResponse","","Aws/Macie2/Types/GetUsageStatisticsResponse.html","","<p>Provides the results of a query that retrieved quotas and aggregated usage data for one or more Amazon …\n"],["Aws::Macie2::Types::GetUsageTotalsRequest","","Aws/Macie2/Types/GetUsageTotalsRequest.html","","<p>@note When making an API call, you may pass GetUsageTotalsRequest\n\n<pre>data as a hash:\n\n    {\n      time_range: ...</pre>\n"],["Aws::Macie2::Types::GetUsageTotalsResponse","","Aws/Macie2/Types/GetUsageTotalsResponse.html","","<p>Provides the results of a query that retrieved aggregated usage data for an Amazon Macie account.\n<p>@!attribute …\n"],["Aws::Macie2::Types::GroupCount","","Aws/Macie2/Types/GroupCount.html","","<p>Provides a group of results for a query that retrieved aggregated statistical data about findings.\n<p>@!attribute …\n"],["Aws::Macie2::Types::IamUser","","Aws/Macie2/Types/IamUser.html","","<p>Provides information about an Identity and Access Management (IAM) user who performed an action on an …\n"],["Aws::Macie2::Types::InternalServerException","","Aws/Macie2/Types/InternalServerException.html","","<p>Provides information about an error that occurred due to an unknown internal server error, exception, …\n"],["Aws::Macie2::Types::Invitation","","Aws/Macie2/Types/Invitation.html","","<p>Provides information about an Amazon Macie membership invitation that was received by an account.\n<p>@!attribute …\n"],["Aws::Macie2::Types::IpAddressDetails","","Aws/Macie2/Types/IpAddressDetails.html","","<p>Provides information about the IP address of the device that an entity used to perform an action on an …\n"],["Aws::Macie2::Types::IpCity","","Aws/Macie2/Types/IpCity.html","","<p>Provides information about the city that an IP address originated from.\n<p>@!attribute [rw] name\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Macie2::Types::IpCountry","","Aws/Macie2/Types/IpCountry.html","","<p>Provides information about the country that an IP address originated from.\n<p>@!attribute [rw] code\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Macie2::Types::IpGeoLocation","","Aws/Macie2/Types/IpGeoLocation.html","","<p>Provides geographic coordinates that indicate where a specified IP address originated from.\n<p>@!attribute …\n"],["Aws::Macie2::Types::IpOwner","","Aws/Macie2/Types/IpOwner.html","","<p>Provides information about the registered owner of an IP address.\n<p>@!attribute [rw] asn\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Macie2::Types::JobDetails","","Aws/Macie2/Types/JobDetails.html","","<p>Specifies whether any one-time or recurring classification jobs are configured to analyze data in an …\n"],["Aws::Macie2::Types::JobScheduleFrequency","","Aws/Macie2/Types/JobScheduleFrequency.html","","<p>Specifies the recurrence pattern for running a classification job.\n<p>@note When making an API call, you …\n"],["Aws::Macie2::Types::JobScopeTerm","","Aws/Macie2/Types/JobScopeTerm.html","","<p>Specifies a property- or tag-based condition that defines criteria for including or excluding S3 objects …\n"],["Aws::Macie2::Types::JobScopingBlock","","Aws/Macie2/Types/JobScopingBlock.html","","<p>Specifies one or more property- and tag-based conditions that define criteria for including or excluding …\n"],["Aws::Macie2::Types::JobSummary","","Aws/Macie2/Types/JobSummary.html","","<p>Provides information about a classification job, including the current status of the job.\n<p>@!attribute …\n"],["Aws::Macie2::Types::KeyValuePair","","Aws/Macie2/Types/KeyValuePair.html","","<p>Provides information about the tags that are associated with an S3 bucket or object. Each tag consists …\n"],["Aws::Macie2::Types::LastRunErrorStatus","","Aws/Macie2/Types/LastRunErrorStatus.html","","<p>Specifies whether any account- or bucket-level access errors occurred when a classification job ran. …\n"],["Aws::Macie2::Types::ListClassificationJobsRequest","","Aws/Macie2/Types/ListClassificationJobsRequest.html","","<p>Specifies criteria for filtering, sorting, and paginating the results of a request for information about …\n"],["Aws::Macie2::Types::ListClassificationJobsResponse","","Aws/Macie2/Types/ListClassificationJobsResponse.html","","<p>Provides the results of a request for information about one or more classification jobs.\n<p>@!attribute [rw] …\n"],["Aws::Macie2::Types::ListCustomDataIdentifiersRequest","","Aws/Macie2/Types/ListCustomDataIdentifiersRequest.html","","<p>Specifies criteria for paginating the results of a request for information about custom data identifiers. …\n"],["Aws::Macie2::Types::ListCustomDataIdentifiersResponse","","Aws/Macie2/Types/ListCustomDataIdentifiersResponse.html","","<p>Provides the results of a request for information about custom data identifiers.\n<p>@!attribute [rw] items …\n"],["Aws::Macie2::Types::ListFindingsFiltersRequest","","Aws/Macie2/Types/ListFindingsFiltersRequest.html","","<p>@note When making an API call, you may pass ListFindingsFiltersRequest\n\n<pre>data as a hash:\n\n    {\n      max_results: ...</pre>\n"],["Aws::Macie2::Types::ListFindingsFiltersResponse","","Aws/Macie2/Types/ListFindingsFiltersResponse.html","","<p>Provides information about all the findings filters for an account.\n<p>@!attribute [rw] findings_filter_list_items …\n"],["Aws::Macie2::Types::ListFindingsRequest","","Aws/Macie2/Types/ListFindingsRequest.html","","<p>Specifies criteria for filtering, sorting, and paginating the results of a request for information about …\n"],["Aws::Macie2::Types::ListFindingsResponse","","Aws/Macie2/Types/ListFindingsResponse.html","","<p>Provides the results of a request for information about one or more findings.\n<p>@!attribute [rw] finding_ids …\n"],["Aws::Macie2::Types::ListInvitationsRequest","","Aws/Macie2/Types/ListInvitationsRequest.html","","<p>@note When making an API call, you may pass ListInvitationsRequest\n\n<pre>data as a hash:\n\n    {\n      max_results: ...</pre>\n"],["Aws::Macie2::Types::ListInvitationsResponse","","Aws/Macie2/Types/ListInvitationsResponse.html","","<p>Provides information about the Amazon Macie membership invitations that were received by an account. …\n"],["Aws::Macie2::Types::ListJobsFilterCriteria","","Aws/Macie2/Types/ListJobsFilterCriteria.html","","<p>Specifies criteria for filtering the results of a request for information about classification jobs. …\n"],["Aws::Macie2::Types::ListJobsFilterTerm","","Aws/Macie2/Types/ListJobsFilterTerm.html","","<p>Specifies a condition that filters the results of a request for information about classification jobs. …\n"],["Aws::Macie2::Types::ListJobsSortCriteria","","Aws/Macie2/Types/ListJobsSortCriteria.html","","<p>Specifies criteria for sorting the results of a request for information about classification jobs.\n<p>@note …\n"],["Aws::Macie2::Types::ListMembersRequest","","Aws/Macie2/Types/ListMembersRequest.html","","<p>@note When making an API call, you may pass ListMembersRequest\n\n<pre>data as a hash:\n\n    {\n      max_results: ...</pre>\n"],["Aws::Macie2::Types::ListMembersResponse","","Aws/Macie2/Types/ListMembersResponse.html","","<p>Provides information about the accounts that are associated with an Amazon Macie administrator account. …\n"],["Aws::Macie2::Types::ListOrganizationAdminAccountsRequest","","Aws/Macie2/Types/ListOrganizationAdminAccountsRequest.html","","<p>@note When making an API call, you may pass ListOrganizationAdminAccountsRequest\n\n<pre>data as a hash:\n\n    ...</pre>\n"],["Aws::Macie2::Types::ListOrganizationAdminAccountsResponse","","Aws/Macie2/Types/ListOrganizationAdminAccountsResponse.html","","<p>Provides information about the delegated Amazon Macie administrator accounts for an Amazon Web Services …\n"],["Aws::Macie2::Types::ListTagsForResourceRequest","","Aws/Macie2/Types/ListTagsForResourceRequest.html","","<p>@note When making an API call, you may pass ListTagsForResourceRequest\n\n<pre>data as a hash:\n\n    {\n      resource_arn: ...</pre>\n"],["Aws::Macie2::Types::ListTagsForResourceResponse","","Aws/Macie2/Types/ListTagsForResourceResponse.html","","<p>Provides information about the tags (keys and values) that are associated with a classification job, …\n"],["Aws::Macie2::Types::MatchingBucket","","Aws/Macie2/Types/MatchingBucket.html","","<p>Provides statistical data and other information about an S3 bucket that Amazon Macie monitors and analyzes. …\n"],["Aws::Macie2::Types::MatchingResource","","Aws/Macie2/Types/MatchingResource.html","","<p>Provides statistical data and other information about an Amazon Web Services resource that Amazon Macie …\n"],["Aws::Macie2::Types::Member","","Aws/Macie2/Types/Member.html","","<p>Provides information about an account that&#39;s associated with an Amazon Macie administrator account. …\n"],["Aws::Macie2::Types::MonthlySchedule","","Aws/Macie2/Types/MonthlySchedule.html","","<p>Specifies a monthly recurrence pattern for running a classification job.\n<p>@note When making an API call, …\n"],["Aws::Macie2::Types::ObjectCountByEncryptionType","","Aws/Macie2/Types/ObjectCountByEncryptionType.html","","<p>Provides information about the number of objects that are in an S3 bucket and use certain types of server-side …\n"],["Aws::Macie2::Types::ObjectLevelStatistics","","Aws/Macie2/Types/ObjectLevelStatistics.html","","<p>Provides information about the total storage size (in bytes) or number of objects that Amazon Macie can&#39;t …\n"],["Aws::Macie2::Types::Occurrences","","Aws/Macie2/Types/Occurrences.html","","<p>Specifies the location of 1-15 occurrences of sensitive data that was detected by managed data identifiers …\n"],["Aws::Macie2::Types::Page","","Aws/Macie2/Types/Page.html","","<p>Specifies the location of an occurrence of sensitive data in an Adobe Portable Document Format file. …\n"],["Aws::Macie2::Types::PolicyDetails","","Aws/Macie2/Types/PolicyDetails.html","","<p>Provides the details of a policy finding.\n<p>@!attribute [rw] action\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Provides</span> <span class=\"ruby-identifier\">information</span> <span class=\"ruby-identifier\">about</span> <span class=\"ruby-identifier\">an</span> <span class=\"ruby-identifier\">action</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Macie2::Types::PutClassificationExportConfigurationRequest","","Aws/Macie2/Types/PutClassificationExportConfigurationRequest.html","","<p>Specifies where to store data classification results, and the encryption settings to use when storing …\n"],["Aws::Macie2::Types::PutClassificationExportConfigurationResponse","","Aws/Macie2/Types/PutClassificationExportConfigurationResponse.html","","<p>Provides information about updated settings for storing data classification results.\n<p>@!attribute [rw] …\n"],["Aws::Macie2::Types::PutFindingsPublicationConfigurationRequest","","Aws/Macie2/Types/PutFindingsPublicationConfigurationRequest.html","","<p>Specifies configuration settings for publishing findings to Security Hub automatically.\n<p>@note When making …\n"],["Aws::Macie2::Types::PutFindingsPublicationConfigurationResponse","","Aws/Macie2/Types/PutFindingsPublicationConfigurationResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/PutFindingsPublicationConfigurationResponse AWS …\n"],["Aws::Macie2::Types::Range","","Aws/Macie2/Types/Range.html","","<p>Specifies the location of an occurrence of sensitive data in a non-binary text file, such as an HTML …\n"],["Aws::Macie2::Types::Record","","Aws/Macie2/Types/Record.html","","<p>Specifies the location of an occurrence of sensitive data in an Apache Avro object container, Apache …\n"],["Aws::Macie2::Types::ReplicationDetails","","Aws/Macie2/Types/ReplicationDetails.html","","<p>Provides information about settings that define whether one or more objects in an S3 bucket are replicated …\n"],["Aws::Macie2::Types::ResourceNotFoundException","","Aws/Macie2/Types/ResourceNotFoundException.html","","<p>Provides information about an error that occurred because a specified resource wasn&#39;t found.\n<p>@!attribute …\n"],["Aws::Macie2::Types::ResourcesAffected","","Aws/Macie2/Types/ResourcesAffected.html","","<p>Provides information about the resources that a finding applies to.\n<p>@!attribute [rw] s3_bucket\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Provides</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Macie2::Types::S3Bucket","","Aws/Macie2/Types/S3Bucket.html","","<p>Provides information about the S3 bucket that a finding applies to.\n<p>@!attribute [rw] allows_unencrypted_object_uploads …\n"],["Aws::Macie2::Types::S3BucketCriteriaForJob","","Aws/Macie2/Types/S3BucketCriteriaForJob.html","","<p>Specifies property- and tag-based conditions that define criteria for including or excluding S3 buckets …\n"],["Aws::Macie2::Types::S3BucketDefinitionForJob","","Aws/Macie2/Types/S3BucketDefinitionForJob.html","","<p>Specifies an Amazon Web Services account that owns S3 buckets for a classification job to analyze, and …\n"],["Aws::Macie2::Types::S3BucketOwner","","Aws/Macie2/Types/S3BucketOwner.html","","<p>Provides information about the user who owns an S3 bucket.\n<p>@!attribute [rw] display_name\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Macie2::Types::S3Destination","","Aws/Macie2/Types/S3Destination.html","","<p>Specifies an S3 bucket to store data classification results in, and the encryption settings to use when …\n"],["Aws::Macie2::Types::S3JobDefinition","","Aws/Macie2/Types/S3JobDefinition.html","","<p>Specifies which S3 buckets contain the objects that a classification job analyzes, and the scope of that …\n"],["Aws::Macie2::Types::S3Object","","Aws/Macie2/Types/S3Object.html","","<p>Provides information about the S3 object that a finding applies to.\n<p>@!attribute [rw] bucket_arn\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Macie2::Types::Scoping","","Aws/Macie2/Types/Scoping.html","","<p>Specifies one or more property- and tag-based conditions that define criteria for including or excluding …\n"],["Aws::Macie2::Types::SearchResourcesBucketCriteria","","Aws/Macie2/Types/SearchResourcesBucketCriteria.html","","<p>Specifies property- and tag-based conditions that define filter criteria for including or excluding  …\n"],["Aws::Macie2::Types::SearchResourcesCriteria","","Aws/Macie2/Types/SearchResourcesCriteria.html","","<p>Specifies a property- or tag-based filter condition for including or excluding Amazon Web Services resources …\n"],["Aws::Macie2::Types::SearchResourcesCriteriaBlock","","Aws/Macie2/Types/SearchResourcesCriteriaBlock.html","","<p>Specifies property- and tag-based conditions that define filter criteria for including or excluding  …\n"],["Aws::Macie2::Types::SearchResourcesRequest","","Aws/Macie2/Types/SearchResourcesRequest.html","","<p>Specifies criteria for filtering, sorting, and paginating the results of a query for statistical data …\n"],["Aws::Macie2::Types::SearchResourcesResponse","","Aws/Macie2/Types/SearchResourcesResponse.html","","<p>Provides the results of a query that retrieved statistical data and other information about Amazon Web …\n"],["Aws::Macie2::Types::SearchResourcesSimpleCriterion","","Aws/Macie2/Types/SearchResourcesSimpleCriterion.html","","<p>Specifies a property-based filter condition that determines which Amazon Web Services resources are included …\n"],["Aws::Macie2::Types::SearchResourcesSortCriteria","","Aws/Macie2/Types/SearchResourcesSortCriteria.html","","<p>Specifies criteria for sorting the results of a query for information about Amazon Web Services resources …\n"],["Aws::Macie2::Types::SearchResourcesTagCriterion","","Aws/Macie2/Types/SearchResourcesTagCriterion.html","","<p>Specifies a tag-based filter condition that determines which Amazon Web Services resources are included …\n"],["Aws::Macie2::Types::SearchResourcesTagCriterionPair","","Aws/Macie2/Types/SearchResourcesTagCriterionPair.html","","<p>Specifies a tag key, a tag value, or a tag key and value (as a pair) to use in a tag-based filter condition …\n"],["Aws::Macie2::Types::SecurityHubConfiguration","","Aws/Macie2/Types/SecurityHubConfiguration.html","","<p>Specifies configuration settings that determine which findings are published to Security Hub automatically. …\n"],["Aws::Macie2::Types::SensitiveDataItem","","Aws/Macie2/Types/SensitiveDataItem.html","","<p>Provides information about the category, types, and occurrences of sensitive data that produced a sensitive …\n"],["Aws::Macie2::Types::ServerSideEncryption","","Aws/Macie2/Types/ServerSideEncryption.html","","<p>Provides information about the server-side encryption settings for an S3 bucket or S3 object.\n<p>@!attribute …\n"],["Aws::Macie2::Types::ServiceLimit","","Aws/Macie2/Types/ServiceLimit.html","","<p>Specifies a current quota for an Amazon Macie account.\n<p>@!attribute [rw] is_service_limited\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">Boolean</span>]\n</pre>\n"],["Aws::Macie2::Types::ServiceQuotaExceededException","","Aws/Macie2/Types/ServiceQuotaExceededException.html","","<p>Provides information about an error that occurred due to one or more service quotas for an account.\n<p>@!attribute …\n"],["Aws::Macie2::Types::SessionContext","","Aws/Macie2/Types/SessionContext.html","","<p>Provides information about a session that was created for an entity that performed an action by using …\n"],["Aws::Macie2::Types::SessionContextAttributes","","Aws/Macie2/Types/SessionContextAttributes.html","","<p>Provides information about the context in which temporary security credentials were issued to an entity. …\n"],["Aws::Macie2::Types::SessionIssuer","","Aws/Macie2/Types/SessionIssuer.html","","<p>Provides information about the source and type of temporary security credentials that were issued to …\n"],["Aws::Macie2::Types::Severity","","Aws/Macie2/Types/Severity.html","","<p>Provides the numerical and qualitative representations of a finding&#39;s severity.\n<p>@!attribute [rw] description …\n"],["Aws::Macie2::Types::SimpleCriterionForJob","","Aws/Macie2/Types/SimpleCriterionForJob.html","","<p>Specifies a property-based condition that determines whether an S3 bucket is included or excluded from …\n"],["Aws::Macie2::Types::SimpleScopeTerm","","Aws/Macie2/Types/SimpleScopeTerm.html","","<p>Specifies a property-based condition that determines whether an S3 object is included or excluded from …\n"],["Aws::Macie2::Types::SortCriteria","","Aws/Macie2/Types/SortCriteria.html","","<p>Specifies criteria for sorting the results of a request for findings.\n<p>@note When making an API call, you …\n"],["Aws::Macie2::Types::Statistics","","Aws/Macie2/Types/Statistics.html","","<p>Provides processing statistics for a classification job.\n<p>@!attribute [rw] approximate_number_of_objects_to_process …\n"],["Aws::Macie2::Types::TagCriterionForJob","","Aws/Macie2/Types/TagCriterionForJob.html","","<p>Specifies a tag-based condition that determines whether an S3 bucket is included or excluded from a classification …\n"],["Aws::Macie2::Types::TagCriterionPairForJob","","Aws/Macie2/Types/TagCriterionPairForJob.html","","<p>Specifies a tag key, a tag value, or a tag key and value (as a pair) to use in a tag-based condition …\n"],["Aws::Macie2::Types::TagResourceRequest","","Aws/Macie2/Types/TagResourceRequest.html","","<p>Specifies the tags (keys and values) to associate with a classification job, custom data identifier, …\n"],["Aws::Macie2::Types::TagResourceResponse","","Aws/Macie2/Types/TagResourceResponse.html","","<p>The request succeeded. The specified tags were added to the resource.\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/TagResourceResponse …\n"],["Aws::Macie2::Types::TagScopeTerm","","Aws/Macie2/Types/TagScopeTerm.html","","<p>Specifies a tag-based condition that determines whether an S3 object is included or excluded from a classification …\n"],["Aws::Macie2::Types::TagValuePair","","Aws/Macie2/Types/TagValuePair.html","","<p>Specifies a tag key or tag key and value pair to use in a tag-based condition that determines whether …\n"],["Aws::Macie2::Types::TestCustomDataIdentifierRequest","","Aws/Macie2/Types/TestCustomDataIdentifierRequest.html","","<p>Specifies the detection criteria of a custom data identifier to test.\n<p>@note When making an API call, you …\n"],["Aws::Macie2::Types::TestCustomDataIdentifierResponse","","Aws/Macie2/Types/TestCustomDataIdentifierResponse.html","","<p>Provides test results for a custom data identifier.\n<p>@!attribute [rw] match_count\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">Integer</span>]\n</pre>\n"],["Aws::Macie2::Types::ThrottlingException","","Aws/Macie2/Types/ThrottlingException.html","","<p>Provides information about an error that occurred because too many requests were sent during a certain …\n"],["Aws::Macie2::Types::UnprocessedAccount","","Aws/Macie2/Types/UnprocessedAccount.html","","<p>Provides information about an account-related request that hasn&#39;t been processed.\n<p>@!attribute [rw] …\n"],["Aws::Macie2::Types::UntagResourceRequest","","Aws/Macie2/Types/UntagResourceRequest.html","","<p>@note When making an API call, you may pass UntagResourceRequest\n\n<pre>data as a hash:\n\n    {\n      resource_arn: ...</pre>\n"],["Aws::Macie2::Types::UntagResourceResponse","","Aws/Macie2/Types/UntagResourceResponse.html","","<p>The request succeeded. The specified tags were removed from the resource.\n<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/UntagResourceResponse …\n"],["Aws::Macie2::Types::UpdateClassificationJobRequest","","Aws/Macie2/Types/UpdateClassificationJobRequest.html","","<p>Changes the status of a classification job. For more information about pausing, resuming, or cancelling …\n"],["Aws::Macie2::Types::UpdateClassificationJobResponse","","Aws/Macie2/Types/UpdateClassificationJobResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/UpdateClassificationJobResponse AWS API Documentation …\n"],["Aws::Macie2::Types::UpdateFindingsFilterRequest","","Aws/Macie2/Types/UpdateFindingsFilterRequest.html","","<p>Specifies the criteria and other settings for a findings filter.\n<p>@note When making an API call, you may …\n"],["Aws::Macie2::Types::UpdateFindingsFilterResponse","","Aws/Macie2/Types/UpdateFindingsFilterResponse.html","","<p>Provides information about a findings filter that was updated in response to a request.\n<p>@!attribute [rw] …\n"],["Aws::Macie2::Types::UpdateMacieSessionRequest","","Aws/Macie2/Types/UpdateMacieSessionRequest.html","","<p>Changes the status or configuration settings for an Amazon Macie account.\n<p>@note When making an API call, …\n"],["Aws::Macie2::Types::UpdateMacieSessionResponse","","Aws/Macie2/Types/UpdateMacieSessionResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/UpdateMacieSessionResponse AWS API Documentation …\n"],["Aws::Macie2::Types::UpdateMemberSessionRequest","","Aws/Macie2/Types/UpdateMemberSessionRequest.html","","<p>Suspends (pauses) or re-enables an Amazon Macie member account.\n<p>@note When making an API call, you may …\n"],["Aws::Macie2::Types::UpdateMemberSessionResponse","","Aws/Macie2/Types/UpdateMemberSessionResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/UpdateMemberSessionResponse AWS API Documentation …\n"],["Aws::Macie2::Types::UpdateOrganizationConfigurationRequest","","Aws/Macie2/Types/UpdateOrganizationConfigurationRequest.html","","<p>Specifies whether to enable Amazon Macie automatically for accounts that are added to an Amazon Web  …\n"],["Aws::Macie2::Types::UpdateOrganizationConfigurationResponse","","Aws/Macie2/Types/UpdateOrganizationConfigurationResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/macie2-2020-01-01/UpdateOrganizationConfigurationResponse AWS API …\n"],["Aws::Macie2::Types::UsageByAccount","","Aws/Macie2/Types/UsageByAccount.html","","<p>Provides data for a specific usage metric and the corresponding quota for an Amazon Macie account.\n<p>@!attribute …\n"],["Aws::Macie2::Types::UsageRecord","","Aws/Macie2/Types/UsageRecord.html","","<p>Provides quota and aggregated usage data for an Amazon Macie account.\n<p>@!attribute [rw] account_id\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Macie2::Types::UsageStatisticsFilter","","Aws/Macie2/Types/UsageStatisticsFilter.html","","<p>Specifies a condition for filtering the results of a query for quota and usage data for one or more  …\n"],["Aws::Macie2::Types::UsageStatisticsSortBy","","Aws/Macie2/Types/UsageStatisticsSortBy.html","","<p>Specifies criteria for sorting the results of a query for Amazon Macie account quotas and usage data. …\n"],["Aws::Macie2::Types::UsageTotal","","Aws/Macie2/Types/UsageTotal.html","","<p>Provides aggregated data for an Amazon Macie usage metric. The value for the metric reports estimated …\n"],["Aws::Macie2::Types::UserIdentity","","Aws/Macie2/Types/UserIdentity.html","","<p>Provides information about the type and other characteristics of an entity that performed an action on …\n"],["Aws::Macie2::Types::UserIdentityRoot","","Aws/Macie2/Types/UserIdentityRoot.html","","<p>Provides information about an Amazon Web Services account and entity that performed an action on an affected …\n"],["Aws::Macie2::Types::UserPausedDetails","","Aws/Macie2/Types/UserPausedDetails.html","","<p>Provides information about when a classification job was paused. For a one-time job, this object also …\n"],["Aws::Macie2::Types::ValidationException","","Aws/Macie2/Types/ValidationException.html","","<p>Provides information about an error that occurred due to a syntax error in a request.\n<p>@!attribute [rw] …\n"],["Aws::Macie2::Types::WeeklySchedule","","Aws/Macie2/Types/WeeklySchedule.html","","<p>Specifies a weekly recurrence pattern for running a classification job.\n<p>@note When making an API call, …\n"],["accept_invitation","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-accept_invitation","(params = {}, options = {})","<p>Accepts an Amazon Macie membership invitation that was received from a specific account.\n<p>@option params …\n"],["batch_get_custom_data_identifiers","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-batch_get_custom_data_identifiers","(params = {}, options = {})","<p>Retrieves information about one or more custom data identifiers.\n<p>@option params [Array&lt;String&gt;] …\n"],["build_request","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-build_request","(operation_name, params = {})","<p>@param params ({}) @api private\n"],["client","Aws::Macie2::Resource","Aws/Macie2/Resource.html#method-i-client","()","<p>@return [Client]\n"],["create_classification_job","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-create_classification_job","(params = {}, options = {})","<p>Creates and defines the settings for a classification job.\n<p>@option params [required, String] :client_token …\n"],["create_custom_data_identifier","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-create_custom_data_identifier","(params = {}, options = {})","<p>Creates and defines the criteria and other settings for a custom data identifier.\n<p>@option params [String] …\n"],["create_findings_filter","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-create_findings_filter","(params = {}, options = {})","<p>Creates and defines the criteria and other settings for a findings filter.\n<p>@option params [required, String] …\n"],["create_invitations","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-create_invitations","(params = {}, options = {})","<p>Sends an Amazon Macie membership invitation to one or more accounts.\n<p>@option params [required, Array&lt;String&gt;] …\n"],["create_member","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-create_member","(params = {}, options = {})","<p>Associates an account with an Amazon Macie administrator account.\n<p>@option params [required, Types::AccountDetail] …\n"],["create_sample_findings","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-create_sample_findings","(params = {}, options = {})","<p>Creates sample findings.\n<p>@option params [Array&lt;String&gt;] :finding_types\n<p>@return [Struct] Returns an …\n"],["decline_invitations","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-decline_invitations","(params = {}, options = {})","<p>Declines Amazon Macie membership invitations that were received from specific accounts.\n<p>@option params …\n"],["delete_custom_data_identifier","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-delete_custom_data_identifier","(params = {}, options = {})","<p>Soft deletes a custom data identifier.\n<p>@option params [required, String] :id\n<p>@return [Struct] Returns an …\n"],["delete_findings_filter","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-delete_findings_filter","(params = {}, options = {})","<p>Deletes a findings filter.\n<p>@option params [required, String] :id\n<p>@return [Struct] Returns an empty {Seahorse::Client::Response …\n"],["delete_invitations","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-delete_invitations","(params = {}, options = {})","<p>Deletes Amazon Macie membership invitations that were received from specific accounts.\n<p>@option params …\n"],["delete_member","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-delete_member","(params = {}, options = {})","<p>Deletes the association between an Amazon Macie administrator account and an account.\n<p>@option params [required, …\n"],["describe_buckets","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-describe_buckets","(params = {}, options = {})","<p>Retrieves (queries) statistical data and other information about one or more S3 buckets that Amazon  …\n"],["describe_classification_job","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-describe_classification_job","(params = {}, options = {})","<p>Retrieves the status and settings for a classification job.\n<p>@option params [required, String] :job_id …\n"],["describe_organization_configuration","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-describe_organization_configuration","(params = {}, options = {})","<p>Retrieves the Amazon Macie configuration settings for an Amazon Web Services organization.\n<p>@return [Types::DescribeOrganizationConfigurationResponse] …\n"],["disable_macie","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-disable_macie","(params = {}, options = {})","<p>Disables an Amazon Macie account and deletes Macie resources for the account.\n<p>@return [Struct] Returns …\n"],["disable_organization_admin_account","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-disable_organization_admin_account","(params = {}, options = {})","<p>Disables an account as the delegated Amazon Macie administrator account for an Amazon Web Services organization. …\n"],["disassociate_from_administrator_account","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-disassociate_from_administrator_account","(params = {}, options = {})","<p>Disassociates a member account from its Amazon Macie administrator account.\n<p>@return [Struct] Returns an …\n"],["disassociate_from_master_account","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-disassociate_from_master_account","(params = {}, options = {})","<p>(Deprecated) Disassociates a member account from its Amazon Macie administrator account. This operation …\n"],["disassociate_member","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-disassociate_member","(params = {}, options = {})","<p>Disassociates an Amazon Macie administrator account from a member account.\n<p>@option params [required, String] …\n"],["enable_macie","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-enable_macie","(params = {}, options = {})","<p>Enables Amazon Macie and specifies the configuration settings for a Macie account.\n<p>@option params [String] …\n"],["enable_organization_admin_account","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-enable_organization_admin_account","(params = {}, options = {})","<p>Designates an account as the delegated Amazon Macie administrator account for an Amazon Web Services …\n"],["errors_module","Aws::Macie2::Client","Aws/Macie2/Client.html#method-c-errors_module","()","<p>@api private\n"],["get_administrator_account","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_administrator_account","(params = {}, options = {})","<p>Retrieves information about the Amazon Macie administrator account for an account.\n<p>@return [Types::GetAdministratorAccountResponse] …\n"],["get_bucket_statistics","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_bucket_statistics","(params = {}, options = {})","<p>Retrieves (queries) aggregated statistical data for all the S3 buckets that Amazon Macie monitors and …\n"],["get_classification_export_configuration","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_classification_export_configuration","(params = {}, options = {})","<p>Retrieves the configuration settings for storing data classification results.\n<p>@return [Types::GetClassificationExportConfigurationResponse] …\n"],["get_custom_data_identifier","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_custom_data_identifier","(params = {}, options = {})","<p>Retrieves the criteria and other settings for a custom data identifier.\n<p>@option params [required, String] …\n"],["get_finding_statistics","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_finding_statistics","(params = {}, options = {})","<p>Retrieves (queries) aggregated statistical data about findings.\n<p>@option params [Types::FindingCriteria] …\n"],["get_findings","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_findings","(params = {}, options = {})","<p>Retrieves the details of one or more findings.\n<p>@option params [required, Array&lt;String&gt;] :finding_ids …\n"],["get_findings_filter","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_findings_filter","(params = {}, options = {})","<p>Retrieves the criteria and other settings for a findings filter.\n<p>@option params [required, String] :id …\n"],["get_findings_publication_configuration","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_findings_publication_configuration","(params = {}, options = {})","<p>Retrieves the configuration settings for publishing findings to Security Hub.\n<p>@return [Types::GetFindingsPublicationConfigurationResponse] …\n"],["get_invitations_count","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_invitations_count","(params = {}, options = {})","<p>Retrieves the count of Amazon Macie membership invitations that were received by an account.\n<p>@return [Types::GetInvitationsCountResponse] …\n"],["get_macie_session","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_macie_session","(params = {}, options = {})","<p>Retrieves the current status and configuration settings for an Amazon Macie account.\n<p>@return [Types::GetMacieSessionResponse] …\n"],["get_master_account","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_master_account","(params = {}, options = {})","<p>(Deprecated) Retrieves information about the Amazon Macie administrator account for an account. This …\n"],["get_member","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_member","(params = {}, options = {})","<p>Retrieves information about an account that&#39;s associated with an Amazon Macie administrator account. …\n"],["get_usage_statistics","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_usage_statistics","(params = {}, options = {})","<p>Retrieves (queries) quotas and aggregated usage data for one or more accounts.\n<p>@option params [Array&lt;Types::UsageStatisticsFilter&gt;] …\n"],["get_usage_totals","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-get_usage_totals","(params = {}, options = {})","<p>Retrieves (queries) aggregated usage data for an account.\n<p>@option params [String] :time_range\n<p>@return [Types::GetUsageTotalsResponse] …\n"],["list_classification_jobs","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-list_classification_jobs","(params = {}, options = {})","<p>Retrieves a subset of information about one or more classification jobs.\n<p>@option params [Types::ListJobsFilterCriteria] …\n"],["list_custom_data_identifiers","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-list_custom_data_identifiers","(params = {}, options = {})","<p>Retrieves a subset of information about all the custom data identifiers for an account.\n<p>@option params …\n"],["list_findings","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-list_findings","(params = {}, options = {})","<p>Retrieves a subset of information about one or more findings.\n<p>@option params [Types::FindingCriteria] …\n"],["list_findings_filters","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-list_findings_filters","(params = {}, options = {})","<p>Retrieves a subset of information about all the findings filters for an account.\n<p>@option params [Integer] …\n"],["list_invitations","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-list_invitations","(params = {}, options = {})","<p>Retrieves information about all the Amazon Macie membership invitations that were received by an account. …\n"],["list_members","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-list_members","(params = {}, options = {})","<p>Retrieves information about the accounts that are associated with an Amazon Macie administrator account. …\n"],["list_organization_admin_accounts","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-list_organization_admin_accounts","(params = {}, options = {})","<p>Retrieves information about the delegated Amazon Macie administrator account for an Amazon Web Services …\n"],["list_tags_for_resource","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-list_tags_for_resource","(params = {}, options = {})","<p>Retrieves the tags (keys and values) that are associated with a classification job, custom data identifier, …\n"],["message","Aws::Macie2::Errors::AccessDeniedException","Aws/Macie2/Errors/AccessDeniedException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Macie2::Errors::ConflictException","Aws/Macie2/Errors/ConflictException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Macie2::Errors::InternalServerException","Aws/Macie2/Errors/InternalServerException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Macie2::Errors::ResourceNotFoundException","Aws/Macie2/Errors/ResourceNotFoundException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Macie2::Errors::ServiceQuotaExceededException","Aws/Macie2/Errors/ServiceQuotaExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Macie2::Errors::ThrottlingException","Aws/Macie2/Errors/ThrottlingException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Macie2::Errors::ValidationException","Aws/Macie2/Errors/ValidationException.html#method-i-message","()","<p>@return [String]\n"],["new","Aws::Macie2::Client","Aws/Macie2/Client.html#method-c-new","(*args)","<p>@overload initialize(options)\n\n<pre>@param [Hash] options\n@option options [required, Aws::CredentialProvider] ...</pre>\n"],["new","Aws::Macie2::Errors::AccessDeniedException","Aws/Macie2/Errors/AccessDeniedException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Macie2::Types::AccessDeniedException] …\n"],["new","Aws::Macie2::Errors::ConflictException","Aws/Macie2/Errors/ConflictException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Macie2::Types::ConflictException] …\n"],["new","Aws::Macie2::Errors::InternalServerException","Aws/Macie2/Errors/InternalServerException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Macie2::Types::InternalServerException] …\n"],["new","Aws::Macie2::Errors::ResourceNotFoundException","Aws/Macie2/Errors/ResourceNotFoundException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Macie2::Types::ResourceNotFoundException] …\n"],["new","Aws::Macie2::Errors::ServiceQuotaExceededException","Aws/Macie2/Errors/ServiceQuotaExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Macie2::Types::ServiceQuotaExceededException] …\n"],["new","Aws::Macie2::Errors::ThrottlingException","Aws/Macie2/Errors/ThrottlingException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Macie2::Types::ThrottlingException] …\n"],["new","Aws::Macie2::Errors::ValidationException","Aws/Macie2/Errors/ValidationException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Macie2::Types::ValidationException] …\n"],["new","Aws::Macie2::Resource","Aws/Macie2/Resource.html#method-c-new","(options = {})","<p>@param options ({}) @option options [Client] :client\n"],["put_classification_export_configuration","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-put_classification_export_configuration","(params = {}, options = {})","<p>Creates or updates the configuration settings for storing data classification results.\n<p>@option params …\n"],["put_findings_publication_configuration","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-put_findings_publication_configuration","(params = {}, options = {})","<p>Updates the configuration settings for publishing findings to Security Hub.\n<p>@option params [String] :client_token …\n"],["search_resources","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-search_resources","(params = {}, options = {})","<p>Retrieves (queries) statistical data and other information about Amazon Web Services resources that  …\n"],["tag_resource","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-tag_resource","(params = {}, options = {})","<p>Adds or updates one or more tags (keys and values) that are associated with a classification job, custom …\n"],["test_custom_data_identifier","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-test_custom_data_identifier","(params = {}, options = {})","<p>Tests a custom data identifier.\n<p>@option params [Array&lt;String&gt;] :ignore_words\n<p>@option params [Array&lt;String&gt;] …\n"],["untag_resource","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-untag_resource","(params = {}, options = {})","<p>Removes one or more tags (keys and values) from a classification job, custom data identifier, findings …\n"],["update_classification_job","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-update_classification_job","(params = {}, options = {})","<p>Changes the status of a classification job.\n<p>@option params [required, String] :job_id\n<p>@option params [required, …\n"],["update_findings_filter","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-update_findings_filter","(params = {}, options = {})","<p>Updates the criteria and other settings for a findings filter.\n<p>@option params [String] :action\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">action</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["update_macie_session","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-update_macie_session","(params = {}, options = {})","<p>Suspends or re-enables an Amazon Macie account, or updates the configuration settings for a Macie account. …\n"],["update_member_session","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-update_member_session","(params = {}, options = {})","<p>Enables an Amazon Macie administrator to suspend or re-enable a member account.\n<p>@option params [required, …\n"],["update_organization_configuration","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-update_organization_configuration","(params = {}, options = {})","<p>Updates the Amazon Macie configuration settings for an Amazon Web Services organization.\n<p>@option params …\n"],["waiter_names","Aws::Macie2::Client","Aws/Macie2/Client.html#method-i-waiter_names","()","<p>@api private @deprecated\n"]]}}